آسیب‌پذیری در تجهیزات سیسکو و اختلال در سرویس‌دهنده‌ها

/ 9 آوریل 18

هر سیستم عاملی که  ویژگی Smart Install  سیسکو بر روی آن فعال باشد در معرض این آسیب‌پذیری قرار می‌گیرد.

آسیب‌پذیری روترهای CISCO

 

محققان امنیتی به تازگی آسیب پذیری جدیدی را در ویژگی Smart Install  نرم‌افزارهای IOS و IOS XE سیسکو کشف کرده‌اند که امکان اجرای کدهای مخرب از راه دور را روی دستگاه آلوده به مجرمان می‌دهد و می‌تواند در نهایت به یک حمله DoS (یا همان انکار سرویس‌ها) ختم شود.

به عبارتی هر سیستم عاملی که  ویژگی Smart Install  سیسکو بر روی آن فعال باشد در معرض این آسیب‌پذیری قرار می‌گیرد و مجرمان با اجرای کدهای مخرب می‌توانند روی روتر یا سوییچ اکسپلویت را انجام دهند و دست به حمله بزنند.

آسیب‌پذیری ناشی از چه چیزی بوده است؟
آسیب‌پذیری (CVE-2018-0171) ناشی از اعتبار سنجی نادرست پکت داده‌ها که یک نقض امنیتی محسوب می‌شود، بوده است. مهاجمان با استفاده از این آسیب‌پذیری قادرند یک پیام به دستگاه آلوده روی پروتکل TCP با پورت 4786 ارسال کنند و با اکسپلویت آسیب‌پذیری حمله خود را آغاز کنند.

یک اکسپلویت موفقیت‌آمیز می‌تواند به مجرمان اجازه دهد تا بافر را در دستگاه آسیب‌پذیر سر ریز کنند که در نهایت می‌تواند پیامدهای زیر را در بر داشته باشد:

  • راه‌اندازی مجدد دستگاه و بازگشت سیستم‌ها به حالت پیش فرض
  • امکان اجرای کدهای دلخواه روی دستگاه قربانی توسط مهاجمان
  • ایجاد یک حلقه نامحدود در دستگاه آلوده که موجب سقوط دستگاه می‌گردد

این حمله چه خساراتی را به همراه داشته است؟
در شب گذشته وب سایت‌های هاست شده روی مراکز سرویس‌دهی هم‌چون افرانت، رسپینا، شاتل، آسیاتک، ارتباط زیر ساخت، پارس آنلاین، صبا نت و … دچار اختلال و باز نمی‌شدند اما در حال حاضر سرویس‌دهی به حالت قبل بازگشته و اقدامات حیاتی جهت پیشگیری از این اتفاق انجام شده است.

چه راهکارهایی برای مقابله با این آسیب‌پذیری وجود دارد؟
از زمان کشف این آسیب‌پذیری و خسارت پی در پی، سیسکو آپدیت‌های نرم‌افزاری که مربوط به این آسیب‌پذیری است را منتشر کرده است. هیچ راه حلی به جز پچ برای این آسیب‌پذیری‌ها وجود ندارد.
شایان ذکر است که مدیران سیستم با استفاده از دستور “no vstack” قابلیت Smart Install را روی سوییچ‌ها و پورت‌های خود غیر فعال سازند و پورت 4786 را بر روی لبه ی شبکه‌ی خود مسدود سازند. در صورتی که استفاده از ویژگی Smart Install برای شما ضروری است می توانید آپدیت آن را دریافت و با پچ آسیب‌پذیری‌های بوجود آمده از این ویژگی استفاده نمایید. توسط لینک زیر می‌توانید آسیب‌پذیری‌ها را پچ نمایید:

https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20180328-smi2

توصیه می‌گردد که..

  1. ویژگی smart install را بر روی سوییچ‌ها و پورت‌های خود غیر فعال سازید؛
  2. قبل از پچ آسیب‌پذیری‌ها حتما از داده‌های حیاتی خود بک آپ تهیه کنید؛
  3. پورت 4786 را روی لبه شبکه خود مسدود سازید؛
  4. آپدیت منتشر شده توسط سیسکو نصب و آسیب‌پذیری‌ها پچ گردد؛

منبع: ایتنا

LiveZilla Live Chat Software سوال خود را با ما مطرح کنید